### Enumeration

# GtkShortcutType

#### Declaration

    enum Gtk.ShortcutType

#### Description [src]

GtkShortcutType specifies the kind of shortcut that is being described.

More values may be added to this enumeration over time.

#### Members

`GTK_SHORTCUT_ACCELERATOR`

  The shortcut is a keyboard accelerator. The GtkShortcutsShortcut:accelerator property will be used.

  - Value: `0`
  - Nickname: `accelerator`
  - Available since: 4.0
`GTK_SHORTCUT_GESTURE_PINCH`

  The shortcut is a pinch gesture. GTK provides an icon and subtitle.

  - Value: `1`
  - Nickname: `gesture-pinch`
  - Available since: 4.0
`GTK_SHORTCUT_GESTURE_STRETCH`

  The shortcut is a stretch gesture. GTK provides an icon and subtitle.

  - Value: `2`
  - Nickname: `gesture-stretch`
  - Available since: 4.0
`GTK_SHORTCUT_GESTURE_ROTATE_CLOCKWISE`

  The shortcut is a clockwise rotation gesture. GTK provides an icon and subtitle.

  - Value: `3`
  - Nickname: `gesture-rotate-clockwise`
  - Available since: 4.0
`GTK_SHORTCUT_GESTURE_ROTATE_COUNTERCLOCKWISE`

  The shortcut is a counterclockwise rotation gesture. GTK provides an icon and subtitle.

  - Value: `4`
  - Nickname: `gesture-rotate-counterclockwise`
  - Available since: 4.0
`GTK_SHORTCUT_GESTURE_TWO_FINGER_SWIPE_LEFT`

  The shortcut is a two-finger swipe gesture. GTK provides an icon and subtitle.

  - Value: `5`
  - Nickname: `gesture-two-finger-swipe-left`
  - Available since: 4.0
`GTK_SHORTCUT_GESTURE_TWO_FINGER_SWIPE_RIGHT`

  The shortcut is a two-finger swipe gesture. GTK provides an icon and subtitle.

  - Value: `6`
  - Nickname: `gesture-two-finger-swipe-right`
  - Available since: 4.0
`GTK_SHORTCUT_GESTURE`

  The shortcut is a gesture. The GtkShortcutsShortcut:icon property will be used.

  - Value: `7`
  - Nickname: `gesture`
  - Available since: 4.0
`GTK_SHORTCUT_GESTURE_SWIPE_LEFT`

  The shortcut is a swipe gesture. GTK provides an icon and subtitle.

  - Value: `8`
  - Nickname: `gesture-swipe-left`
  - Available since: 4.0
`GTK_SHORTCUT_GESTURE_SWIPE_RIGHT`

  The shortcut is a swipe gesture. GTK provides an icon and subtitle.

  - Value: `9`
  - Nickname: `gesture-swipe-right`
  - Available since: 4.0